base-compat-0.12.1: A compatibility layer for base

Safe Haskell | Trustworthy
Language | Haskell2010

Type.Reflection.Compat

Synopsis

- module Type.Reflection
- withTypeable :: forall k (a :: k) (rep :: RuntimeRep) (r :: TYPE rep). TypeRep a -> (Typeable a => r) -> r

# Documentation

module Type.Reflection

withTypeable :: forall k (a :: k) (rep :: RuntimeRep) (r :: TYPE rep). TypeRep a -> (Typeable a => r) -> r #

Use a `TypeRep` as `Typeable` evidence.